/**
 * Copyright (c) 2001-2002 artofcode LLC.
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use, copy,
 * modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
 * BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
 * ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
**/

/* IJS server code specific to Unix like systems */

#define STRICT
#include <stdio.h>
#include "ijs.h"
#include "ijs_server.h"

/* Get a file descriptor from a handle we have inherited.
 * Used with a handle obtained from param OutputFD.
 * Using "long handle" is OK for Win32, but may be wrong
 * for Win64 which may need "intptr_t handle".
 */
int
ijs_server_fd_from_handle(long handle)
{
    return (int)handle;
}

/* Set the file mode to binary.  This is a no-op on Unix like systems */
/* We return fd to avoid argument not used warnings from the compiler */
int
ijs_server_setbinary(int fd)
{
    return fd;
}
